**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/24.2/picklists/update-picklist-value-label.md

# Update Picklist Value Label



Change a picklist value `label` (only). To change a picklist value `name`, see the [next section](/vault-api/api-reference/24.2/picklists/update-picklist-value) below.

Use caution when editing picklist labels or names. When these attributes are changed, they affect all existing document and object metadata that refer to the picklist. For users in the UI who are accustomed to seeing a particular selection, the changes may cause confusion. This may also break existing integrations that access picklist values via the API.

<Endpoint path="/api/{version}/objects/picklists/{picklist_name}" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{picklist_name}` | The picklist `name` field value (`license_type__v`, `product_family__c`, `region__c`, etc.) |
</FieldTable>

## Request Details {#request-details}

To change an existing picklist value `label`, use its picklist value `name` set to a new label. The picklist value `name` will remain unchanged. For example, to change the label of the existing `"north_america__c=North America"`, enter `"north_america__c=North America/United States"`. You may include one or more picklist values in the request.

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "north_america__c=North America/United States" \
https://myvault.veevavault.com/api/v15.0/objects/picklists/regions__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "Updated picklist value(s).",
  "picklistValues": [
    {
      "name": "north_america__c",
      "label": "North America/United States"
    }
  ]
}

```
</CodeExample>

## Response Details {#response-details}

As shown above, only the picklist value `label` has changed. The picklist value `name` remains the same. The new label will be automatically updated on all documents and objects in which it is used. In the UI, users will see the new label when selecting values for the picklist. In the UI, Admins will see the new name in **Business Admin > Picklists > {Picklist}**.



---

**Previous:** [Create Picklist Values](/quality/vault-api/api-reference/24.2/picklists/create-picklist-values)  
**Next:** [Update Picklist Value](/quality/vault-api/api-reference/24.2/picklists/update-picklist-value)